Package ghidra.features.base.codecompare.listing

# Class ListingDisplay

java.lang.Object
ghidra.features.base.codecompare.listing.ListingDisplay

All Implemented Interfaces:
  `ListingDiffChangeListener`

public class ListingDisplay extends Object implements ListingDiffChangeListener
Represents one side of a dual listing compare window. It holds the listing panel and related state information for one side.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingDisplay(PluginTool tool, String owner, ListingDiff listingDiff, ListingCodeComparisonOptions comparsionOptions, Duo.Side side)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addHighlightProvider(ListingHighlightProvider highlightProvider)`
  `void`
  `addHoverService(ghidra.app.plugin.core.codebrowser.hover.ListingHoverService service)`
  `FormatManager`
  `getFormatManager()`
  `ListingPanel`
  `getListingPanel()`
  `ProgramLocation`
  `getProgramLocation()`
  `ViewerPosition`
  `getViewerPosition()`
  `void`
  `goTo(ProgramLocation location)`
  `boolean`
  `isHeaderShowing()`
  `void`
  `listingDiffChanged()`
  Called when the ListingDiff's set of differences and unmatched addresses has changed.
  `void`
  `removeHighlightProvider(ListingHighlightProvider highlightProvider)`
  `void`
  `repaint()`
  `void`
  `setDiffHighlightProvider(ListingDiffHighlightProvider newDiffHighlights)`
  `void`
  `setHoverMode(boolean enabled)`
  `void`
  `setMouseNavigationEnabled(boolean enabled)`
  `void`
  `setProgramView(Program program, AddressSetView view, String name)`
  `void`
  `setView(AddressSetView view)`
  `void`
  `setViewerPosition(ViewerPosition position)`
  `void`
  `showHeader(boolean show)`
  `void`
  `updateCursorMarkers(ProgramLocation location)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListingDisplay

    public ListingDisplay(PluginTool tool, String owner, ListingDiff listingDiff, ListingCodeComparisonOptions comparsionOptions, Duo.Side side)

- ## Method Details

  - ### repaint

    public void repaint()

  - ### setDiffHighlightProvider

    public void setDiffHighlightProvider(ListingDiffHighlightProvider newDiffHighlights)

  - ### addHighlightProvider

    public void addHighlightProvider(ListingHighlightProvider highlightProvider)

  - ### removeHighlightProvider

    public void removeHighlightProvider(ListingHighlightProvider highlightProvider)

  - ### addHoverService

    public void addHoverService(ghidra.app.plugin.core.codebrowser.hover.ListingHoverService service)

  - ### showHeader

    public void showHeader(boolean show)

  - ### setHoverMode

    public void setHoverMode(boolean enabled)

  - ### setView

    public void setView(AddressSetView view)

  - ### isHeaderShowing

    public boolean isHeaderShowing()

  - ### setProgramView

    public void setProgramView(Program program, AddressSetView view, String name)

  - ### getProgramLocation

    public ProgramLocation getProgramLocation()

  - ### updateCursorMarkers

    public void updateCursorMarkers(ProgramLocation location)

  - ### goTo

    public void goTo(ProgramLocation location)

  - ### getListingPanel

    public ListingPanel getListingPanel()

  - ### getFormatManager

    public FormatManager getFormatManager()

  - ### getViewerPosition

    public ViewerPosition getViewerPosition()

  - ### setViewerPosition

    public void setViewerPosition(ViewerPosition position)

  - ### setMouseNavigationEnabled

    public void setMouseNavigationEnabled(boolean enabled)

  - ### listingDiffChanged

    public void listingDiffChanged()
    Description copied from interface: `ListingDiffChangeListener`
    Called when the ListingDiff's set of differences and unmatched addresses has changed.
    Specified by:
      `listingDiffChanged` in interface `ListingDiffChangeListener`